%define module_name JavaScript-Embedded
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/MakeMaker.pm) perl(JSON/PP.pm) perl(Test/Fatal.pm) perl(Try/Tiny.pm) perl(boolean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.7.1
Release: alt2
Summary: Perl interface to Duktape embeddable javascript engine
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAVAC/%{module_name}-%{version}.tar.gz

%description
JavaScript::Embedded implements almost all duktape javascript engine api, the c code is just
a thin layer that maps duktape api to perl, and all other functions implemented in perl
it self, so maintaing and contributing to the base code should be easy.

This is a fork of the <JavaScript::Duktape> distribution by Mamod Mehyar. His version uses the
outdated duktape 2.3.0 library. I could not reach the author to submit a patch to upgrade
to the current version of the duktape library. So i created this fork, to be able to use
a the newest duktape version with all the latest security fixes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes examples
%perl_vendor_privlib/J*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.7.1-alt2
- rebuild with perl 5.38

* Thu Jun 30 2022 Igor Vlasenko <viy@altlinux.org> 2.7.1-alt1
- updated by package builder

* Mon May 23 2022 Igor Vlasenko <viy@altlinux.org> 2.7.0-alt1
- initial import by package builder

